docker-compose environment for the entire v.st system https://v.st/
You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
 
 
 
 
 
env/keycloak/remind-user

36 lines
654 B

#!/bin/bash
die() { echo >&2 "$@" ; exit 1 ; }
PATH=$PATH:/opt/keycloak/bin
USERNAME="$1"
if [ -z "$USERNAME" ]; then
die "usage: $0 username email"
fi
ID="$(kcadm.sh get users \
-r "$REALM" \
--fields id \
-q username="$USERNAME" \
--format csv \
--noquotes \
)"
if [ -z "$ID" ]; then
die "$USERNAME: unable to fetch UID"
fi
echo "$USERNAME: $ID"
echo -n '["UPDATE_PASSWORD"]' | \
kcadm.sh update \
"users/$ID/execute-actions-email" \
-r $REALM \
-q client_id=hedgedoc \
-q redirect_uri="https://${HEDGEDOC_HOSTNAME}.${DOMAIN_NAME}/s/Getting_started" \
-f - \
|| die "$USERNAME: unable to send email?"
echo "$USERNAME: email sent!"